> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Datasets

> Returns a list of all available datasets with a summary of each.



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json get /api/v1/datasets
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/datasets:
    get:
      tags:
        - Experiments
      summary: Get All Datasets
      description: Returns a list of all available datasets with a summary of each.
      operationId: get_all_datasets_api_v1_datasets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DatasetInfo'
                type: array
                title: Response Get All Datasets Api V1 Datasets Get
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetInfo:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        dataset_name:
          type: string
          title: Dataset Name
        dataset_description:
          type: string
          title: Dataset Description
        num_examples:
          type: integer
          title: Num Examples
          description: Number of examples in the dataset.
        num_runs:
          type: integer
          title: Num Runs
          description: Number of experiments run against this dataset.
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - dataset_id
        - dataset_name
        - dataset_description
        - num_examples
        - num_runs
        - created_at
      title: DatasetInfo
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````